#!/usr/bin/env python
import pygame
from pygame.locals import *
from tileset import *

class key():
    def __init__(self, tset, pic, loc, idno):
        ''' initialize key class
            tset = tileset object
            pic = xy coordinate of picture in tileset
            loc = xy coordinate of key on map
            idno = id number of this key
        '''
        self.pic = tset.getXY(pic)
        self.loc = loc
        self.idno = idno
    
    def render(self, screen, loc):
        screen.blit(self.pic, loc)

